Get balances
curl --request GET \
--url https://api.agg.market/execution/balances \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/execution/balances"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/execution/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cash": [
{
"tokenSymbol": "<string>",
"totalRaw": "<string>",
"decimals": 123,
"chains": [
{
"chainId": 123,
"tokenAddress": "<string>",
"balanceRaw": "<string>",
"decimals": 123,
"lastSyncedAt": "<string>",
"heldRaw": "<string>",
"availableRaw": "<string>",
"tokenSymbol": "<string>"
}
],
"availableRaw": "<string>",
"reservedRaw": "<string>"
}
],
"positions": [
{
"balance": 123,
"costBasis": 123,
"unrealizedPnl": 123,
"realizedPnl": 123,
"migrationPending": true
}
],
"venueCash": [
{
"balanceCents": 123,
"updatedAt": "<string>",
"portfolioValueCents": 123
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Users
Get balances
Returns per-chain token balances and per-venue position balances for the authenticated user.
GET
/
execution
/
balances
Get balances
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Query Parameters
Available options:
live, paper ⌘I